FDM (HA) agent installation fails after upgrading vCenter to 5.5U2

לפני כמה זמן יצא לי לשדרג vCenter לגירסא 5.5U2. התהליך עבר בהצלחה מבחינת הרכיבים של vCenter עצמו, אבל נתקלנו בתקלה בשידרוג של ה-agents.

על רוב השרתים vpxa ו-HA agents שודרגו בלי בעיה, אבל כמה hosts שהם 4.1 (לא כל ה-4.1, אלא רק חלק מהם) לא הצליחו לשדרג את ה-agent של HA.

התקבלה איזו הודעת שגיאה ממש גנרית בסגנון "Unknown installer error" או משהו כזה.

חיפוש בגוגל וב-KB (אפילו KB פנימי של VMware) לא כל-כך עזר, לכן התחלנו לחפור בלוגים של ESXi.

כשהסתכלנו על לוג התקנה של HA agent שנמצא ב:

/var/log/vmware/fdm-installer.log

ראינו משהו יותר מועיל שנתן לנו כיוון:

FDM_install_1

נראה שההתקנה לא מצליחה ליצור ramdisk כי ה-mount point כבר קיים.

הרצנו פקודה mount וראינו שהוא אכן קיים:

FDM_install_2_1

עשינו לו unmout וראינו שהוא נעלם:

FDM_install_2_2

לאחר מכן עשינו Reconfigure for HA על ה-host ב-vCenter וה-agent הותקן בלי בעיה.

בינגו!

מיכאל.